Subject: ANNOUNCE: Text::BibTeX 0.31
From: [email-masked] (Greg Ward (spamdrop - see sig for preferred))
Date: 5 Nov 1999 15:36:09 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Text::BibTeX version 0.31
                          (a Perl library for
                     processing BibTeX data files)

                             28 October, 1999
                      Greg Ward ([email-masked])
                http://starship.python.net/~gward/btOOL/

Text::BibTeX is a Perl library for parsing and processing BibTeX data
files; it is built on top of btparse, a C library that does most of the
real work.  (Together, they comprise btOOL, my umbrella name for a
system which will hopefully someday form a drop-in replacement for the
current bibtex program.)

Text::BibTeX gives you access to the data at many different levels: you
may work with BibTeX entries as simple "field -> string" mappings, or
get at the original form of the data as a list of simple values
(strings, macros, or numbers) pasted together.  You can leave the
allowed/expected entry types and fields unrestricted, or you can impose
the structure defined by BibTeX 0.99's standard style files, or you can
invent your own structure to constrain the data.

You must download both libraries in order to build Text::BibTeX; see the
Text::BibTeX README for details.  You can download them from the btOOL
web site:

    http://starship.python.net/~gward/btOOL/

or directly from my "software braindump" archive:

    http://www.aseonline.net/~gward/

Both are (or soon will be) available from CPAN and CTAN, respectively
the Comprehensive Perl and TeX Archive Networks.  Sample URLs:

    ftp://cpan.perl.org/pub/CPAN/authors/Greg_Ward/
or
    ftp://ftp.ctan.org/tex-archive/biblio/bibtex/utils/btOOL/

But of course you should always access CPAN and CTAN via mirror sites.

Both Text::BibTeX and btparse are copiously documented in POD format,
which is easily translatable to a wide range of other formats; btparse
comes with the documentation in *roff form for instant Unix man pages.
(Man pages are built automatically from the POD embedded in
Text::BibTeX's Perl modules.)  Hopefully, the documentation will soon be
online in HTML form at the btOOL web site.

Additionally, a printable technical report (in PostScript or DVI format)
describing the project, which includes the full documentation for both
libraries, may be downloaded from the btOOL web site.

-- 
Greg Ward - Linux geek                                  [email-masked]
http://starship.python.net/~gward/
I repeat myself when under stress I repeat myself when under stress I repeat---